=== modified file 'client/errname.cc'
--- client/errname.cc	2009-08-05 22:50:03 +0000
+++ client/errname.cc	2009-08-25 18:22:32 +0000
@@ -615,7 +615,7 @@
     { "ER_UNSUPORTED_LOG_ENGINE",1579 },
     { "ER_BAD_LOG_STATEMENT",1580 },
     { "ER_CANT_RENAME_LOG_TABLE",1581 },
-    { "ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT",1582 },
+    { "ER_WRONG_PARAMCOUNT_TO_FUNCTION",1582 },
     { "ER_WRONG_PARAMETERS_TO_NATIVE_FCT",1583 },
     { "ER_WRONG_PARAMETERS_TO_STORED_FCT",1584 },
     { "ER_NATIVE_FCT_NAME_COLLISION",1585 },

=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2009-06-26 06:25:57 +0000
+++ drizzled/error.cc	2009-08-25 18:22:32 +0000
@@ -1194,7 +1194,7 @@
 N_("You cannot '%s' a log table if logging is enabled"),
 /* ER_CANT_RENAME_LOG_TABLE */
 N_("Cannot rename '%s'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to '%s'"),
-/* ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT 42000 */
+/* ER_WRONG_PARAMCOUNT_TO_FUNCTION 42000 */
 N_("Incorrect parameter count in the call to native function '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_NATIVE_FCT 42000 */
 N_("Incorrect parameters in the call to native function '%-.192s'"),

=== modified file 'drizzled/error.h'
--- drizzled/error.h	2009-06-16 03:02:59 +0000
+++ drizzled/error.h	2009-08-25 18:22:32 +0000
@@ -611,7 +611,7 @@
   ER_UNSUPORTED_LOG_ENGINE,
   ER_BAD_LOG_STATEMENT,
   ER_CANT_RENAME_LOG_TABLE,
-  ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT,
+  ER_WRONG_PARAMCOUNT_TO_FUNCTION,
   ER_WRONG_PARAMETERS_TO_NATIVE_FCT,
   ER_WRONG_PARAMETERS_TO_STORED_FCT,
   ER_NATIVE_FCT_NAME_COLLISION,

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-08-25 14:58:48 +0000
+++ drizzled/item/create.cc	2009-08-25 18:22:32 +0000
@@ -1480,7 +1480,7 @@
 
   if(!func->check_argument_count(arg_count))
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), func->func_name());
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), func->func_name());
     return NULL;
   }
 
@@ -1514,7 +1514,7 @@
 
   if (arg_count != 0)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1532,7 +1532,7 @@
 
   if (arg_count != 1)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1558,7 +1558,7 @@
 
   if (arg_count != 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1586,7 +1586,7 @@
 
   if (arg_count != 3)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1660,7 +1660,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -1710,7 +1710,7 @@
 
   if (arg_count < 1)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1732,7 +1732,7 @@
   /* "WS" stands for "With Separator": this function takes 2+ arguments */
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1848,7 +1848,7 @@
 
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -1909,7 +1909,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -1931,7 +1931,7 @@
 
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -2013,7 +2013,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2035,7 +2035,7 @@
 
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -2114,7 +2114,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2145,7 +2145,7 @@
 
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -2203,7 +2203,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2240,7 +2240,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2307,7 +2307,7 @@
 
   if (arg_count < 2)
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     return NULL;
   }
 
@@ -2435,7 +2435,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2473,7 +2473,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }
@@ -2651,7 +2651,7 @@
   }
   default:
   {
-    my_error(ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT, MYF(0), name.str);
+    my_error(ER_WRONG_PARAMCOUNT_TO_FUNCTION, MYF(0), name.str);
     break;
   }
   }

=== modified file 'drizzled/sql_state.cc'
--- drizzled/sql_state.cc	2009-07-07 09:06:29 +0000
+++ drizzled/sql_state.cc	2009-08-25 18:22:32 +0000
@@ -240,7 +240,7 @@
   { ER_NON_GROUPING_FIELD_USED              ,"42000", "" },
   { ER_FOREIGN_DUPLICATE_KEY                ,"23000", "S1009" },
   { ER_CANT_CHANGE_TX_ISOLATION             ,"25001", "" },
-  { ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT       ,"42000", "" },
+  { ER_WRONG_PARAMCOUNT_TO_FUNCTION         ,"42000", "" },
   { ER_WRONG_PARAMETERS_TO_NATIVE_FCT       ,"42000", "" },
   { ER_WRONG_PARAMETERS_TO_STORED_FCT       ,"42000", "" },
   { ER_DUP_ENTRY_WITH_KEY_NAME              ,"23000", "S1009" },

=== modified file 'tests/t/crc32.test'
--- tests/t/crc32.test	2009-08-25 14:58:48 +0000
+++ tests/t/crc32.test	2009-08-25 18:22:32 +0000
@@ -18,9 +18,9 @@
 SELECT CRC32("I love testing") = CRC32(some_text) FROM t1;
 
 # Check for error if no parameter provided
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 SELECT CRC32();
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 SELECT CRC32('foo','bar','zoo');
 
 # Check that various inputs are processed correctly

=== modified file 'tests/t/func_compress.test'
--- tests/t/func_compress.test	2009-08-25 14:58:48 +0000
+++ tests/t/func_compress.test	2009-08-25 18:22:32 +0000
@@ -86,16 +86,16 @@
 
 # parameter count
 
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select compress();
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select uncompress();
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select uncompressed_length();
 
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select compress('aeou', 'aoeu', 'aoeu');
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select uncompress('aoenuthn', 'aoeu');
---error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+--error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select uncompressed_length('aneohusa','naohuntah','onh');
\ No newline at end of file

=== modified file 'tests/t/parser.test'
--- tests/t/parser.test	2009-02-21 16:00:06 +0000
+++ tests/t/parser.test	2009-08-25 18:22:32 +0000
@@ -346,94 +346,94 @@
 
 # Test coverage with edge conditions
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select pi(3.14);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select tan();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select tan(1, 2);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select makedate(1);
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select makedate(1, 2, 3);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select atan();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select atan2(1, 2, 3);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select concat();
 select concat("foo");
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select concat_ws();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select concat_ws("foo");
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select elt();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select elt(1);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select export_set();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select export_set("p1");
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select export_set("p1", "p2");
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select export_set("p1", "p2", "p3", "p4", "p5", "p6");
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select field();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select field("p1");
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select from_unixtime();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select from_unixtime(1, 2, 3);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select unix_timestamp(1, 2);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select greatest();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select greatest(12);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select last_insert_id(1, 2);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select least();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select least(12);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select locate();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select locate(1);
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select locate(1, 2, 3, 4);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select log();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select log(1, 2, 3);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select make_set();
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select make_set(1);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select rand(1, 2, 3);
 
--- error ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT
+-- error ER_WRONG_PARAMCOUNT_TO_FUNCTION
 select round(1, 2, 3);
 
 #

